Functions

# dmxcompat.c File Reference

`#include "dmxconfig.h"`
`#include "dmxparse.h"`
`#include "dmxcompat.h"`
`#include "parser.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`

## Functions
static int | dmxVDLReadLine (FILE *str, char *buf, int len)
static int | dmxVDLCount (const char *buf)
static void | dmxVDLVirtualEntry (const char *buf, char *name, int *len, int *x, int *y)
static void | dmxVDLDisplayEntry (const char *buf, char *name, int *len, int *x, int *y, int *xoff, int *yoff, int *xorig, int *yorig)
DMXConfigEntryPtr | dmxVDLRead (const char *filename)

## Detailed Description

This file provides some compatibility support for reading VDL files that are used by xmovie (http://www.llnl.gov/icc/sdd/img/xmovie/xmovie.shtml).

This file is not used by the DMX server.

## Function Documentation

static int dmxVDLCount | ( | const char * | buf | ) | `[static]`

Referenced by dmxVDLRead().

static void dmxVDLDisplayEntry | ( | const char * | buf,
|  | char * | name,
|  | int * | len,
|  | int * | x,
|  | int * | y,
|  | int * | xoff,
|  | int * | yoff,
|  | int * | xorig,
|  | int * | yorig |
| ) |  |  | `[static]`

Referenced by dmxVDLRead().

DMXConfigEntryPtr dmxVDLRead | ( | const char * | filename | ) |

Read from the VDL format filename and return a newly allocated DMXConfigEntryPtr

References display, dmxConfigAddEntry(), dmxConfigAddSub(), dmxConfigComment, dmxConfigCopyString(), dmxConfigCreateComment(), dmxConfigCreateDisplay(), dmxConfigCreateFullDim(), dmxConfigCreatePair(), dmxConfigCreatePartDim(), dmxConfigCreateString(), dmxConfigCreateVirtual(), dmxConfigSubDisplay(), dmxConfigVirtual, dmxVDLCount(), dmxVDLDisplayEntry(), dmxVDLReadLine(), dmxVDLVirtualEntry(), and str.

Referenced by main().

static int dmxVDLReadLine | ( | FILE * | str,
|  | char * | buf,
|  | int | len |
| ) |  |  | `[static]`

Referenced by dmxVDLRead().

static void dmxVDLVirtualEntry | ( | const char * | buf,
|  | char * | name,
|  | int * | len,
|  | int * | x,
|  | int * | y |
| ) |  |  | `[static]`

Referenced by dmxVDLRead().